[IPython-dev] Updated build of trunk-dev available

Fernando Perez fperez.net@gmail....
Sun Jan 17 18:09:41 CST 2010


Hi Michele,

On Sun, Jan 17, 2010 at 4:39 AM, Michele Mattioni <mattions@gmail.com> wrote:
> Yes, the latest mayavi api for qt integration are only in the latest SVN
> Enthought

Ah, OK.  I don't have that right now, but eventually this will be very
high priority, it's just that first we need to get things right with
the stable releases of the various tools.

I did check with stable mayavi (wx) and pylab with wx backend, and
those two do coexist happily on the new branch.

>> It would be great if we could have a smaller example illustrating your
>> problem that didn't depend on all of Enthought's machinery, because we
>> really want to make sure things work OK with Qt.  I've tried simpler
>> tests using matplotlib with qt, and those seem OK so far.
>>
>
> I tested with only qt and it works.
>
>
>>
>> One thing to try:
>>
>> 1. Start ipython *without* --gui
>> 2. At the ipython prompt, type
>> gui qt
>> 3. Try to run your script.
>>
>>
>> Then, repeat, but with 'gui -a qt' instead.  Let us know if  it
>> produces any difference at all.
>>
>
> No difference.

OK, thanks for this feedback, we can track this further here:

https://bugs.launchpad.net/ipython/+bug/508953

Cheers,

f


More information about the IPython-dev mailing list